此内容没有您所选择的语言版本。
15.3. Get Environment Variable Information
Description
Get information about the specified environment variable.
Method and URL Structure
| Method | Resource URL |
|---|---|
GET | /broker/rest/application/:id/environment-variable/ENV_VAR_NAME |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/application/534253991015616165707776/environment-variable/MY_ENV_VAR --user user@example.com
JSON Response
The API returns information about the specified environment variable. Unnecessary information and other resource links have been removed for brevity. See Chapter 15, Environment Variables for more information on all parameters for environment variables.
{
"api_version": 1.6,
"data": {
"name": "MY_ENV_VAR",
"value": "myvalue"
},
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Showing environment variable 'MY_ENV_VAR' for application myapp"
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "environment-variable",
"version": "1.6"
}